declare
  counter           numeric(16);
  l_description     varchar(512);
  l_name            varchar(256);

begin

  l_name := 'PWD_HASHING_ALGORITHM';
  l_description := 'Value of selected Password hashing algorithm';
  select count(1) into counter from CONFIGURATION t where lower ( t.name ) = lower ( l_name ) and lower ( t.description ) = lower ( l_description );
  if ( counter = 0 ) then
	INSERT INTO CONFIGURATION (ID,NAME,VALUE,DESCRIPTION,LAST_MOD_USER,LAST_MOD_TIME,STATE) VALUES
	((SELECT max(id)+1 FROM CONFIGURATION),'PWD_HASHING_ALGORITHM','SHA-256','Value of selected Password hashing algorithm','IBM Security Verify Governance V10.0.2.3', sysdate ,0);
  end if;
 
 end;
/
commit;